export interface IDB {
    reload(apiKey: string): Promise<void>;
    search(apiKey: string): Promise<Fixture>;
    create(apiKey: string, data: object): Promise<void>;
}
export interface Fixture {
    API_KEY: string;
    API_NAME: string;
    data: any | any[];
    dev: Dev;
}
export interface Dev {
    status: number;
    wait: number;
}
/**
 * やらないといけないこと
 * 1. 初期データのロード
 * 2. データの検索
 * 3. データの設定
 */
export declare class DB implements IDB {
    private fixtreDir;
    private prefix;
    /**
     * Immutable.Map()
     */
    private DATA;
    /**
     * JSONデータ用Prefix RegExp
     */
    private JsonRxp;
    /**
     * Load initialize data;
     */
    constructor(fixtreDir: string, prefix?: string);
    /**
     * searchd data
     * @param apiKey 取得するキー
     */
    search(apiKey: string): Promise<Fixture>;
    /**
     * 指定したAPIキーのデータを再読込する
     */
    reload(apiKey: string): Promise<any>;
    create(apiKey: string, data: any): Promise<void>;
    setWait(apiKey: string, wait: number): Promise<void>;
    setState(apiKey: string, status: number): Promise<void>;
    private loadFixture(fullpath);
    private setFixtureData(fixture);
    private readFixture(PATH);
}
