"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CreateHandle {
    constructor(handle) {
        this.handle = handle;
    }
    /**
     * Application mode routing
     * @param req
     * @param res
     * @param next
     */
    product(req, res, next) {
        switch (req.method) {
            case 'HEAD':
                this.handle.head(req, res, next);
                break;
            case 'GET':
                this.handle.get(req, res, next);
                break;
            case 'POST':
                this.handle.post(req, res, next);
                break;
            case 'PUT':
                this.handle.put(req, res, next);
                break;
            case 'PATCH':
                this.handle.patch(req, res, next);
                break;
            case 'DELETE':
                this.handle.delete(req, res, next);
                break;
            default:
                res.statusCode = 500;
                res.end('EXCEPTION METHOD');
                break;
        }
    }
    /**
     * Development routing
     * @param req
     * @param res
     * @param next
     */
    develop(req, res, next, prefix) {
        switch (req.method) {
            case 'GET':
                this.handle.debug_get(req, res, next, prefix);
                break;
            case 'PUT':
                this.handle.debug_put(req, res, next);
                break;
            case 'DELETE':
                this.handle.debug_delete(req, res, next);
                break;
            default:
                res.statusCode = 500;
                res.end('EXCEPTION DEVELOP METHOD');
                break;
        }
    }
}
exports.CreateHandle = CreateHandle;
//# sourceMappingURL=createhandle.js.map