/// <reference types="node" />
import * as http from 'http';
import * as browserSync from 'browser-sync';
import { IDB } from '../db';
import { BaseAPI } from '../base.api';
export declare class UtilRouter {
    DB_BASE: IDB;
    prefix: string;
    apiList: string[];
    constructor(DB_BASE: IDB, prefix?: string);
    /**
     * APIに共通ヘッダを設定する
     */
    addHeaderParameter(): (_req: http.IncomingMessage, res: http.ServerResponse, next: Function) => void;
    /**
     * IDを含めた複雑なネストするポータル用APIの作成に利用する。
     * 少し重いので基本は createOpeApi の利用を推奨
     * @param uriRegExp マッチングするURL (正規表現)
     * @param API_KEY _fixutreのAPI_KEY件、dummyログイン画面のAPIとして利用する。
     * @param handleClass 対応するAPIの実装
     */
    createAppApi(handleClass: new (DB: IDB) => BaseAPI): (browserSync.MiddlewareHandler | browserSync.PerRouteMiddleware)[];
    apis(_apilist?: string[]): browserSync.PerRouteMiddleware;
    private createRegExpApiFactory(handleClass);
}
